---
updatedAt: 2025-06-02T20:48:47.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/v4.0/llms.txt
---

# getPassengerIdentifierByNameMulti

This method allows you to search for a passenger on multiple flights according to origin of flight

## Request parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Parameter
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        origin
      </td>

      <td style={{ textAlign: "left" }}>
        String\*
      </td>

      <td style={{ textAlign: "left" }}>
        Destination code
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        startdate
      </td>

      <td style={{ textAlign: "left" }}>
        Date\*
      </td>

      <td style={{ textAlign: "left" }}>
        From date
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        enddate
      </td>

      <td style={{ textAlign: "left" }}>
        Date\*
      </td>

      <td style={{ textAlign: "left" }}>
        To date
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        paxname
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Passenger name (First name or last name)
      </td>
    </tr>
  </tbody>
</Table>

> ❗️ \* Mandatory parameters

## Response

The method will response with paxtokens for usage in other methods

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        pax
      </td>

      <td>
        Element
      </td>

      <td>
        The element pax holds the following parameters
      </td>
    </tr>

    <tr>
      <td>
        flightid
      </td>

      <td>
        Number
      </td>

      <td>
        The flight id
      </td>
    </tr>

    <tr>
      <td>
        paxtoken
      </td>

      <td>
        Unique identifer
      </td>

      <td>
        PAX token to be used in DCS related queries
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs",
    "version": "4.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v4"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/getPassengerIdentifierByNameMulti": {
      "post": {
        "summary": "getPassengerIdentifierByNameMulti",
        "description": "This method allows you to search for a passenger on multiple flights according to origin of flight",
        "operationId": "getpassengeridentifierbynamemulti",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "origin": "DAR",
                        "startdate": "2018/05/22",
                        "enddate": "2018/05/25",
                        "paxname": "John"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "JSON": {
                    "value": "{\n\t\"aerocrs\": {\n\t\t\"success\": true,\n\t\t\"pax\": [{\n\t\t\t\t\"flightid\": 2242629,\n\t\t\t\t\"paxtoken\": \"D3F7D252-B2AF-42F0-93F1-04145C9212E0\"\n\t\t\t},\n\t\t\t{\n\t\t\t\t\"flightid\": 2114290,\n\t\t\t\t\"paxtoken\": \"77BD81F4-BE84-4FCF-B232-91BED35FFE6C\"\n\t\t\t},\n\t\t\t{\n\t\t\t\t\"flightid\": 2242631,\n\t\t\t\t\"paxtoken\": \"21EC638B-F148-4609-8D0D-419B3E21BD13\"\n\t\t\t}\n\t\t]\n\t}\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "aerocrs": {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "pax": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "flightid": {
                                "type": "integer",
                                "example": 2242629,
                                "default": 0
                              },
                              "paxtoken": {
                                "type": "string",
                                "example": "D3F7D252-B2AF-42F0-93F1-04145C9212E0"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              "application/xml": {
                "examples": {
                  "XML": {
                    "value": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<aerocrs>\n    <success>true</success>\n    <pax>\n        <flightid>2242629</flightid>\n        <paxtoken>D3F7D252-B2AF-42F0-93F1-04145C9212E0</paxtoken>\n    </pax>\n    <pax>\n        <flightid>2114290</flightid>\n        <paxtoken>77BD81F4-BE84-4FCF-B232-91BED35FFE6C</paxtoken>\n    </pax>\n    <pax>\n        <flightid>2242631</flightid>\n        <paxtoken>56714633-8B1E-4C55-9051-96BE405E59CD</paxtoken>\n    </pax>\n</aerocrs>"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "xml",
              "code": "<?xml version=\"1.0\" encoding=\"UTF-8\"?> \n<aerocrs>\n\t<parms>\n\t\t<origin>DAR</origin> \n\t\t<startdate>2018/05/22</startdate> \n\t\t<enddate>2018/05/25</enddate>\n\t\t<paxname>John</paxname>\n\t</parms>\n</aerocrs>"
            }
          ],
          "samples-languages": [
            "xml"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```